PartDesign Corps

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page PartDesign Body and the translation is 100% complete.
Other languages:
Deutsch • ‎English • ‎Türkçe • ‎español • ‎français • ‎italiano • ‎polski • ‎română • ‎русский
Arrow-left.svg Page précédente : Group.svg Groupe
Page suivante : Créer une esquisse PartDesign NewSketch.svg Arrow-right.svg

PartDesign Body Create New.svg PartDesign Corps

Emplacement du menu
Part Design → Créer un corps
Ateliers
PartDesign
Raccourci par défaut
Aucun
Introduit dans la version
0.17
Voir aussi
Std Part, Édition de fonctions


Description

Un Corps (Body) PartDesign est l'élément de base pour créer des formes solides avec l'atelier PartDesign. Il peut contenir des esquisses, des objets Datum et des PartDesign Features afin de produire un simple solide contigu.

Le Corps fournit un objet Origine qui comprend les axes X, Y, Z, et les plans standards. Ces éléments peuvent être utilisés comme références pour attacher des esquisses et des objets primitifs.

Ne pas confondre le PartDesign Body.svg PartDesign Corps avec Std Part.svg Std Part. Le premier est un objet spécifique utilisé dans l'Workbench PartDesign.svg Atelier PartDesign, destiné à modéliser un simple solide contigu au moyen de PartDesign Features. Std Part est un objet de regroupement destiné à créer des assemblages. Il n'est pas utilisé pour la modélisation, juste pour organiser différents objets dans l'espace. Plusieurs corps et d'autres Std Parts peuvent être placés à l'intérieur d'un seul Std Part pour créer un assemblage complexe.

PartDesign Body tree.png PartDesign Body example.png

A gauche : l'arborescence montrant les entités qui produisent séquentiellement la forme finale de l'objet. A droite : l'objet final visible dans la vue 3D.


Utilisation

Si aucun solide précédent n'est sélectionné:

  1. Appuyez sur le bouton PartDesign Body.svg Corps. Le nouveau corps est créé et devient automatiquement actif.
  2. Vous pouvez maintenant appuyer sur PartDesign NewSketch.svg Nouvelle esquisse pour créer une esquisse dans le corps qui peut être utilisée avec PartDesign Pad.svg Protusion.
  3. Vous pouvez également ajouter une fonction PartDesign, par exemple, PartDesign AdditiveBox.svg Cube additif.

Si un objet solide est sélectionné:

  1. Appuyez sur le bouton PartDesign Body.svg Body. Un nouveau corps est créé contenant un seul Base Feature. Cet élément Fonction de base est une simple référence à un autre objet précédemment créé ou importé dans le document. Voir Base Feature pour plus d'informations. Un corps existant ou PartDesign Feature ne peut pas être sélectionné lorsque vous appuyez sur le PartDesign Body.svg Body.

Remarques d'utilisation

  • Si aucun corps n'existe lorsque le PartDesign NewSketch.svg Nouveau sketch est enfoncé, un nouveau corps sera automatiquement créé. Si un corps existe déjà, il doit être rendu actif avant d'utiliser PartDesign NewSketch.svg Nouveau sketch.
  • Double-cliquez sur le corps dans l'arborescence du modèle OU cliquez avec le bouton droit de la souris et sélectionnez Activer/désactiver le corps actif pour activer ou désactiver un corps. Si un autre corps est déjà actif, il sera automatiquement désactivé. Voir statut actif pour plus d'informations.

Propriétés

Un corps PartDesign (PartDesign::Body class) est dérivé d'un composant Part (Part::Feature class) par conséquent, il partage un grand nombre de ses propriétés, notamment les propriétés visuelles.

Outre les propriétés décrites dans Part Feature, le corps de PartDesign a les propriétés suivantes dans l'éditeur de propriétés.

Données

Base

  • DonnéesTip (Link): PartDesign Feature défini sur "Tip" est généralement la dernière fonction créée dans le corps. Tip indique la forme finale du corps qui est affichée dans la vue 3D lorsque VueDisplay Mode Body est défini sur Tip. Voir Tip pour plus d'informations.
  • DonnéesBase Feature (Link): forme externe utilisée comme première PartDesign Feature dans le corps. Il est généralement défini lorsque vous faites glisser un objet solide dans un corps vide. Si aucun solide n'est importé de cette manière, cette propriété sera vide. Voir Base Feature pour plus d'informations.
  • DonnéesPlacement (Placement): position de l'objet dans la Vue 3D. Le placement est défini par un point Base (vecteur) et une Rotation (axe et angle). Voir Positionnement.
  • DonnéesGroup (LinkList): une liste avec les PartDesign Features dans le corps.
Propriétés cachées de Données
  • DonnéesOrigin (Link): l'objet App Origin est la référence de position pour tous les éléments répertoriés dans DonnéesGroup.
  • Données_ Group Touched (Bool): si le groupe est coché ou non.

Aussi les propriétés cachées décrites dans Part Feature.

Vue

Base

  • VueDisplay Mode Body (Enumeration): définit le mode d'affichage spécifiquement pour le corps avec l'un des deux types.
    • Through (à travers) valeur par défaut, affiche tous les objets à l'intérieur du corps, c'est-à-dire les esquisses, PartDesign Features, les fonctions, les objets de référence, etc. Ce mode permet de visualiser les opérations partielles effectuées à l'intérieur du corps et c'est donc le mode recommandé lors de l'ajout et de la modification de fonctions. Sélectionnez la fonction spécifique et définissez VueVisibility sur True ou appuyez sur la Barre d'espace du clavier.
    • Tip affiche uniquement la forme finale du corps, qui est définie par la propriété DonnéesTip. Tout le reste, y compris les esquisses, les fonctions, les références, etc... ne sont pas affichés même s'ils sont visibles dans la Vue d'arborescence. Ce mode est recommandé lorsque le corps n'a pas besoin d'être modifié davantage, donc une forme fixe est affichée. Ce mode est également recommandé lorsque vous souhaitez sélectionner les sous-éléments (sommets, arêtes et faces) de la forme finale à utiliser avec d'autres outils d'établis.

Conception du corps

Solide contigu unique

Un corps PartDesign est destiné à modéliser un solide contigu unique. Le sens de "contigu" est un élément fait d'une seule pièce, sans pièces mobiles ou solides déconnectés. Des exemples de solides contigus sont ceux qui sont fabriqués à partir d'une seule pièce de matière première par un procédé de coulée, de découpe ou de fraisage. Par exemple, un écrou, une rondelle et un boulon peuvent chacun se compose d'une seule pièce solide en métal sans pièces mobiles, de sorte que chacun peut être modélisé par un corps PartDesign. Les objets créés en soudant deux pièces peuvent également être modélisés par un seul corps tant que le joint de soudure est solide et non destiné à se briser.

Une fois que ces solides contigus sont rassemblés dans un certain type d'arrangement, ils deviennent alors un "assemblage". Dans un assemblage, les objets ne sont pas fusionnés, mais simplement "empilés" ou placés côte à côte et restent des objets individuels.

PartDesign Body contiguous separate.png PartDesign Body contiguous assembly.png

À gauche: trois solides contigus individuels, chacun modélisé par un corps PartDesign. À droite: les différents corps (body) réunis en un assemblage.


Modification des fonctionnalités

Un corps PartDesign est conçu pour fonctionner en créant un solide initial, soit à partir d'une esquisse soit d'une forme primitive, puis en le modifiant par le biais de fonctions qui ajoutent ou suppriment de la matière de la forme précédente. Pour une explication complète, voir Édition de fonctions.

Un corps PartDesign effectuera une fusion automatique des éléments solides à l'intérieur de celui-ci. Cela signifie que (1) les solides partiels doivent être en contact et (2) que les solides déconnectés ne sont pas autorisés.

PartDesign Body two intersection.png PartDesign Body two fusion.png

À gauche: deux solides individuels qui se coupent. À droite: un corps PartDesign unique avec deux fonctions additives. Ils sont automatiquement fusionnés ensemble, aussi au lieu de se croiser, ils forment un solide contigu unique.


PartDesign Body non-contiguous.png

À gauche: deux solides déconnectés. Ce n'est pas un corps PartDesign valide. À droite: deux solides se touchant. Cela se traduit par un corps PartDesign valide. La nouvelle fonction doit toujours entrer en contact avec la fonction précédente ou l'intersecter afin qu'elle lui soit fusionnée et devienne un solide contigu unique.


Note: d'autres programmes de CAO comme Catia autorisent les solides non contigus dans le même "corps". Depuis la v0.19, FreeCAD ne le permet pas. Il y a eu des discussions au FreeCAD forum sur la levée de cette restriction, mais aucune décision concrète n'a été prise. Si vous souhaitez en savoir plus ou présenter différents points de vue, veuillez en discuter dans le forum.

Explication détaillée des propriétés

Statut actif

Un document ouvert peut contenir plusieurs corps. Pour ajouter une nouvelle fonctionnalité à un corps spécifique, elle doit être rendue active. Un corps actif sera affiché dans la vue arborescente avec la couleur d'arrière-plan spécifiée par la valeur Conteneur actif dans éditeur de préférences (par défaut, clair bleu). Un corps actif sera également affiché en gras.

Pour activer ou désactiver un corps:

  • Double-cliquez dessus dans l'arborescence ou
  • Ouvrez le menu contextuel (clic droit) et sélectionnez Activer/Désactiver le corps.

L'activation d'un corps bascule automatiquement vers l'atelier PartDesign. Un seul corps peut être actif à la fois.

PartDesign Body active.png

Document avec deux corps PartDesign, dont le second est actif.


Origine

L'Origine se compose des trois axes standard (X, Y, Z) et de trois plans standard (XY, XZ et YZ). Esquisses et d'autres objets peuvent être attachés à ces éléments lors de leur création.

  1. Créez le corps.
  2. Si le corps est sélectionné dans arborescence, lorsque le PartDesign NewSketch.svg Nouvelle esquisse est enfoncé, le panneau des tâches s'ouvrira pour permettre de sélectionner un des plans.
  3. Si le corps n'est pas sélectionné, sélectionnez l'origine à la place et rendez-le visible dans la Vue 3D en appuyant sur la barre Espace sur le clavier. Développez également l'objet Origine pour voir les axes et les plans.
  4. Sélectionnez un des plans, soit dans vue arborescente ou dans vue 3D, puis appuyez sur le PartDesign NewSketch.svg Nouvelle esquisse. L'esquisse sera créée sur le plan choisi.

Le même processus peut être utilisé lors de la création d'une géométrie de référence auxiliaire comme PartDesign lignes, PartDesign plans et PartDesign systèmes de coordonnées.

Note: L'origine est un App Origin objet (de classe App::Origin), tandis que les axes et les plans sont respectivement des objets de type App::Line et App::Plane. Chacun de ces éléments peut être masqué et non masqué individuellement avec la barre Espace; cela est utile pour choisir la référence correcte lors de la création d'autres objets.

Note 2: tous les éléments à l'intérieur du corps sont référencés à l'origine du corps, ce qui signifie que le corps peut être déplacé et tourné en référence au système de coordonnées global sans affecter le placement des éléments à l'intérieur.

PartDesign Body Origin tree.png PartDesign Body Origin view.png

A gauche: PartDesign Origin dans la arborescence, et telle qu'elle apparaît affichée dans la vue 3D.A droite: représentation des éléments Originaux dans la Vue 3D.


Fonction de base

La fonction de base est par définition la première fonction Part Design créée dans le corps. Mais il est aussi possible d'utiliser une forme solide, soit importée ou modélisée dans d'autres ateliers, comme fonction de base à laquelle des esquisses et d'autres fonctions peuvent être importées d'un fichier externe, par exemple un fichier STEP.

PartDesign Body BaseFeature tree.png

Corps PartDesign, chacun avec une seule fonction de base, qui sont extraits de solides créés précédemment.


Pour créer la fonction de base:

  1. sélectionner une forme solide externe à tout corps, et
  2. appuyez sur PartDesign Body.svg Body; cela créera un nouveau corps avec une seule entité de base.

Note: vous ne pouvez pas sélectionner un corps existant ou l'une de ses fonctionnalités lorsque vous appuyez sur PartDesign Body.svg Body.

Si vous avez déjà un Corps, vous pouvez créer la fonction de base de cette manière :

  • dans l'arborescence, choisissez un objet et faites-le glisser à l'intérieur du Corps, ou
  • dans l'éditeur de propriétés, modifiez la valeur de la Donnéesfonction DATABase en appuyant sur la touche points de suspension ..., et en choisissant un objet dans la liste. Dans ce cas, vous pouvez choisir un Corps existant comme entité de base.

Remarque : le glisser-déposer ne fonctionne que pour les corps qui n'ont pas encore de fonction de base.

Remarque 2 : si le corps possède déjà plusieurs fonctions, lorsque vous faites glisser et déposez le solide externe, la fonction de base sera créée au début de la liste des fonctions, c'est-à-dire qu'elle sera ajoutée au début de la propriété DonnéesGroup.

La fonction de base est entièrement facultative ; elle n'est présente que lors de l'inclusion d'un objet extérieur au Corps. Si aucun solide externe n'est inclus, vous pouvez toujours créer votre forme à l'aide d'esquisses, de Protrusion, d'objets primitifs et d'autres éléments PartDesign. Dans ce cas, la propriété DonnéesBase Feature reste vide.

PartDesign Body BaseFeature Tip.svg

A gauche : Corps PartDesign avec une fonction de base issue d'un objet solide externe et de nombreuses fonctions PartDesign ultérieures en haut. A droite : Corps qui n'a pas de fonction de base explicite.


Tip (fonction résultante)

La fonction résultante est l'élément PartDesign qui est exposé en avant du modèle ; c'est-à-dire que si un autre outil de n'importe quel atelier (par exemple, Part SimpleCopy ou Part Cut) doit utiliser la forme du corps, il utilisera la forme de la fonction résultante. Autrement dit, la fonction résultante est la représentation finale du corps comme si l'historique paramétrique n'existait pas.

PartDesign Body Tip final.svg

A gauche : Corps PartDesign avec l'historique paramétrique complet, y compris les fonctions intermédiaires. À droite : la fonction résultante est la forme finale qui peut être exportée à partir du corps, tout en omettant l'historique du modèle.


L'astuce est automatiquement définie sur la dernière fonction créée dans le corps. Néanmoins, il peut également être défini sur l'une des fonctionnalités intermédiaires en ouvrant le menu contextuel arborescence (clic droit) et en choisissant PartDesign MoveTip.svg Désigner comme fonction résultante ou en modifiant la valeur DonnéesTip du corps dans l'Éditeur de propriétés.

La modification du Tip en effet annule son historique, ce qui permet d'ajouter des fonctionnalités qui auraient dû être ajoutées plus tôt. Il expose également une forme différente aux outils externes.

Dans la vue arborescence, le Tip du corps est reconnue par la Fonction PartDesign qui a une superposition d'icônes consistant en une flèche blanche à l'intérieur d'un cercle vert.

PartDesign Body Tip tree.png

Deux corps PartDesign, chacun avec Fonctions PartDesign. L'astuce est la dernière des fonctionnalités est marquée d'un symbole de superposition.


Interaction avec d'autres ateliers

Par défaut, Fonctions PartDesign à l'intérieur d'un corps sont sélectionnables, car cela est nécessaire pour modifier et ajouter d'autres fonctions avec les outils PartDesign Workbench. Néanmoins, il n'est pas conseillé de sélectionner les fonctions individuelles pour les utiliser avec des outils d'autres ateliers, tels que les Part et Draft, car les résultats peuvent être inattendus; si cela est fait, dans vue rapport un message d'erreur peut apparaître, Les liens sortent de la portée autorisée.

Par conséquent, pour les interactions avec d'autres établis, seul le corps lui-même doit être sélectionné dans la vue arborescente. Dans les cas où il est nécessaire de sélectionner des sous-éléments spécifiques du corps (sommets, arêtes et faces), la propriété VueDisplay Mode Body du corps doit être commutée sur Tip. Lorsque ce mode est activé, l'accès aux objets sous le corps (PartDesign Feature, les références, esquisses) sont désactivées, et tout sauf le Tip du corps sera caché dans la Vue 3D.

Une fois que les sous-éléments ont été utilisés avec d'autres établis, VueDisplay Mode Body peut être redéfini sur Through.

PartDesign Body Tip Display mode.svg

Gauche: lorsque "Display Mode Body" est réglé sur Through, il est possible de sélectionner et d'effectuer des opérations avec la fonction PartDesign Features; en général, ce n'est pas recommandé. Droite: lorsque "Display Mode Body" est réglé sur Tip toutes les sélections et opérations effectuées sur le corps seront effectuées sur la pointe, en s'assurant que seule la forme finale du corps est exposée.


Gestion de la visibilité

La visibilité du corps remplace la visibilité de tout objet qu'il contient. Si le corps est masqué, les objets qu'il contient seront également masqués, même si leur propriété individuelle VueVisibility est définie sur True.

Plusieurs Esquisses peuvent être visibles à la fois, mais une seule Fonction PartDesign (résultat solide) peut être visible à la fois. Sélectionner une fonction cachée et appuyer sur la barre Space du clavier la rendra visible et masquera automatiquement la fonction précédemment visible.

PartDesign Body Visibility.png

PartDesign Body: plusieurs Esquisses peuvent être visibles simultanément, mais un seul Entité PartDesign peut être visible à la fois, que ce soit Tip ou non.


Attachement

PartDesign Features, tout comme les objets planaires, peuvent être attachés à différents plans, généralement les plans standard définis par Origin du corps, ou à PartDesign Planes personnalisé.

Les esquisses sont normalement attachées à un plan lors de leur création. De la même manière, primitive features peut également être attaché. Attacher ces objets à un plan permet de les déplacer dans le corps en modifiant leur propriété DonnéesAttachment Offset. Pour plus d'informations sur les modes de joindre les pièces, allez voir Pièce jointe.

Une Fonction PartDesign qui n'est pas attachée sera affichée avec un symbole de superposition rouge à côté de son icône dans la vue arborescente.

PartDesign Body Feature attachment.png

PartDesign Body: les fonctions PartDesign qui ne sont pas attachées à un plan ou à un système de coordonnées sera affiché avec un symbole de superposition à côté de leur icône dans la vue arborescence.


Héritage

Un PartDesign Body est formellement une instance de la classe PartDesign::Body, dont le parent est Part Feature (classe Part::Feature) via la classe intermédiaire Part::BodyBase, et est complétée par une extension Origin.

FreeCAD core objects.svg

Diagramme simplifié des relations entre les objets centraux du programme. L'objet PartDesign::Body est destiné à construire des solides 3D paramétriques et est donc dérivé de l'objet de base Part::Feature, et possède une origine pour contrôler le placement des fonctionnalités utilisées à l'intérieur.


Script

Voir aussi: FreeCAD Script de base, et objet scripté.

Voir Part Feature pour plus d'informations à l'ajout d'objets au document.

Un Corps PartDesign est créé avec la méthode addObject() du document. Une fois qu'un Corps existe, PartDesign Features des fonctionnalités, comme les primitives additives et soustractives, peuvent être ajoutées et attachées à ce corps avec la méthode addObject() ou la méthode addObjects() de ce corps.

import FreeCAD as App

doc = App.newDocument()
obj = App.ActiveDocument.addObject("PartDesign::Body", "Body")
obj.Label = "Custom label"

feat1 = App.ActiveDocument.addObject("PartDesign::AdditiveBox", "Box")
feat2 = App.ActiveDocument.addObject("PartDesign::AdditiveCylinder", "Cylinder")

obj.addObjects([feat1, feat2])
App.ActiveDocument.recompute()

Dans un document contenant plusieurs corps, le active Body peut être défini à l'aide de la méthode setActiveObject de la vue active. Le premier argument est la chaîne fixe "pdbody", et le deuxième argument est l'objet Body qui doit être activé.

import FreeCAD as App
import FreeCADGui as Gui

doc = App.newDocument()
obj1 = App.ActiveDocument.addObject("PartDesign::Body", "Body")
obj2 = App.ActiveDocument.addObject("PartDesign::Body", "Body")

Gui.ActiveDocument.ActiveView.setActiveObject("pdbody", obj1)
App.ActiveDocument.recompute()
Arrow-left.svg Page précédente : Group.svg Groupe
Page suivante : Créer une esquisse PartDesign NewSketch.svg Arrow-right.svg